xmltooling::PKIXPathValidatorParams Class Referenceabstract

PKIX-specific parameters to a PathValidator. More...

`#include <xmltooling/security/PKIXPathValidatorParams.h>`

Inheritance diagram for xmltooling::PKIXPathValidatorParams:
[legend]
Collaboration diagram for xmltooling::PKIXPathValidatorParams:
[legend]

## Public Types

enum | revocation_t { REVOCATION_OFF = 0 , REVOCATION_ENTITYONLY = 1 , REVOCATION_FULLCHAIN = 2 }
| Revocation types.

## Public Member Functions

virtual int | getVerificationDepth () const =0
| Returns the allowable trust chain verification depth.
virtual bool | isAnyPolicyInhibited () const =0
| Checks whether the any policy OID should be processed if it is included in a certificate.
virtual bool | isPolicyMappingInhibited () const =0
| Checks if policy mapping is inhibited.
virtual const std::set< std::string > & | getPolicies () const =0
| Returns a set of policy OIDs.
virtual const std::vector< XSECCryptoX509 * > & | getTrustAnchors () const =0
| Returns a set of trust anchors.
virtual revocation_t | getRevocationChecking () const =0
| Returns the type of revocation checking to perform.
virtual const std::vector< XSECCryptoX509CRL * > & | getCRLs () const =0
| Returns a set of CRLs.

## Detailed Description

PKIX-specific parameters to a PathValidator.

## Member Function Documentation

## getCRLs()

virtual const std::vector< XSECCryptoX509CRL * > & xmltooling::PKIXPathValidatorParams::getCRLs | ( |  | ) | const

pure virtual

Returns a set of CRLs.

Returns
  set of CRLs

## getPolicies()

virtual const std::set< std::string > & xmltooling::PKIXPathValidatorParams::getPolicies | ( |  | ) | const

pure virtual

Returns a set of policy OIDs.

Returns
  set of policy OIDs

## getRevocationChecking()

virtual revocation_t xmltooling::PKIXPathValidatorParams::getRevocationChecking | ( |  | ) | const

pure virtual

Returns the type of revocation checking to perform.

Returns
  revocation checking option

## getTrustAnchors()

virtual const std::vector< XSECCryptoX509 * > & xmltooling::PKIXPathValidatorParams::getTrustAnchors | ( |  | ) | const

pure virtual

Returns a set of trust anchors.

Returns
  set of trust anchors

## getVerificationDepth()

virtual int xmltooling::PKIXPathValidatorParams::getVerificationDepth | ( |  | ) | const

pure virtual

Returns the allowable trust chain verification depth.

Returns
  allowable trust chain verification depth

## isAnyPolicyInhibited()

virtual bool xmltooling::PKIXPathValidatorParams::isAnyPolicyInhibited | ( |  | ) | const

pure virtual

Checks whether the any policy OID should be processed if it is included in a certificate.

Returns
  true iff the any policy OID should not be processed

## isPolicyMappingInhibited()

virtual bool xmltooling::PKIXPathValidatorParams::isPolicyMappingInhibited | ( |  | ) | const

pure virtual

Checks if policy mapping is inhibited.

Returns
  true iff policy mapping should not be allowed

The documentation for this class was generated from the following file:

- xmltooling/security/PKIXPathValidatorParams.h